MsWrdStruct Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
MsWrdStruct Namespace Reference

namespace to store the main structure which appears in a Microsoft Word 3.0-5.0 file More...

## Classes
struct | Font
| the font structure of a Microsoft Word file More...
struct | Paragraph
| the paragraph structure of a Microsoft Word file More...
struct | ParagraphInfo
| the paragraph information of a Microsoft Word file (PHE) More...
struct | Section
| the section structure of a Microsoft Word file More...
struct | Table
| the table in a Microsoft Word file More...

## Functions
std::ostream & | operator<< (std::ostream &o, Font const &font)
std::ostream & | operator<< (std::ostream &o, Section const &section)
std::ostream & | operator<< (std::ostream &o, Table::Cell const &cell)
std::ostream & | operator<< (std::ostream &o, Table const &table)
std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
MWAWBorder | getBorder (int val, std::string &extra)
| generic function use to fill a border using the read data More...

## Detailed Description

namespace to store the main structure which appears in a Microsoft Word 3.0-5.0 file

## Function Documentation

MWAWBorder MsWrdStruct::getBorder | ( | int | val,
|  | std::string & | extra
| ) |  |

generic function use to fill a border using the read data

Referenced by MarinerWrtTextInternal::Paragraph::BorderFill::hasBorders(), MsWrdStruct::Table::read(), and MsWrdStruct::Paragraph::read().

std::ostream& MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

std::ostream& MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Section const & | section
| ) |  |

std::ostream& MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Table::Cell const & | cell
| ) |  |

std::ostream& MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Table const & | table
| ) |  |

std::ostream& MsWrdStruct::operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |